Bug 832580 - gnome-system-monitor truncates network-history speed labels
gnome-system-monitor truncates network-history speed labels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 15:35 EDT by Wolfgang Rupprecht
Modified: 2014-06-18 05:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:41:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot showing truncated network speed labels (93.32 KB, image/png)
2012-06-15 15:35 EDT, Wolfgang Rupprecht
no flags Details
clip of Network History from a screenshot (8.04 KB, image/png)
2012-10-11 12:30 EDT, John Reiser
no flags Details
problem persists in F19 (13.75 KB, image/png)
2013-08-05 05:42 EDT, Ladislav Nesnera
no flags Details

  None (edit)
Description Wolfgang Rupprecht 2012-06-15 15:35:05 EDT
Created attachment 592216 [details]
screen shot showing truncated network speed labels

Description of problem:

Under the resources tab, the bottom graph has truncated graph labels for the network speed.   The speed labels currently read:

 00.0 KiB/S
 40.0 KiB/S 
 80.0 KiB/S
 20.0 KiB/S
 60.0 KiB/S
  0.0 KiB/S

Notice that the labels aren't in ascending order from the bottom up as one might expect.  Then notice that if one adds 60.0 to each label to get the next one, one expects the progression 0.0, 60.0, 120.0, 180.0, 240.0, 300.0.  These match the displayed labels if one truncates the most significant digit. Conclusion: there is a missing leading digit.

Version-Release number of selected component (if applicable):
gnome-system-monitor.x86_64 3.4.1-2.fc17 @anaconda-0

How reproducible:
always.

Steps to Reproduce:
1. Run gnome-system-monitor
2. click on the "Resorces" tab
3. observe the truncated network speeds labels on the left side of the 
   "Netork History" (bottom) graph.
  
Actual results:
truncated labels for the speed graph

Expected results:
non-truncated labels for the speed graph

Additional info:
I'll include a screen shot.
Comment 1 John Reiser 2012-10-11 12:30:31 EDT
Created attachment 625581 [details]
clip of Network History from a screenshot

This small .png shows the same problem.  I nominate the change from "KB/s" to "KiB/s" forgetting about right-justification of the label field against the y-axis.
Comment 2 Fedora End Of Life 2013-07-03 23:17:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Stan King 2013-07-06 17:32:31 EDT
I still see this with the Fedora 19 Live XFCE environment, so it would be nice if the version could be bumped to 19 on this bug report.

It doesn't seem to be a problem with the Fedora 19 Live Gnome environment, as I think I got it to label the Y-scale with 250.0K and 500.0K at one point.  But in the Gnome environment, it's got a couple other problems not seen with XFCE: the scale and grid vanish much of the time (RHBZ 981023 and 951264) and it impossible to access the program's preferences.  The latter might be operator error on my part; I don't often use Gnome anymore.
Comment 4 Ladislav Nesnera 2013-07-07 06:04:45 EDT
Fedora 19 LXDE - the same behaviour :-(
Comment 5 Fedora End Of Life 2013-08-01 06:41:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Ladislav Nesnera 2013-08-05 05:42:14 EDT
Created attachment 782730 [details]
problem persists in F19

This bug should be reopened - problem persists in (uname -a)
Linux nb 3.10.4-300.fc19.x86_64 #1 SMP Tue Jul 30 11:29:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
:-(

Note You need to log in before you can comment on or make changes to this bug.